<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:core="http://typo3.org/ns/TYPO3/CMS/Core/ViewHelpers"
	  data-namespace-typo3-fluid="true"
>
	<h1>
		<f:translate extensionName="logs" key="logs">logs</f:translate>
		({filter.results -> f:count()})
	</h1>
	<table class="table">
		<thead>
			<tr>
				<th>
					<f:translate extensionName="logs" key="filter.request_id">request id</f:translate>
				</th>
				<th>
					<f:translate extensionName="logs" key="filter.time_micro">micro time</f:translate>
				</th>
				<th>
					<f:translate extensionName="logs" key="filter.component">component</f:translate>
				</th>
				<th>
					<f:translate extensionName="logs" key="filter.level">level</f:translate>
				</th>
				<th>
					<f:translate extensionName="logs" key="filter.message">message</f:translate>
				</th>
				<f:if condition="{filter.showData}">
					<th>data</th>
				</f:if>
				<th>
					<f:translate extensionName="logs" key="actions">actions</f:translate>
				</th>
			</tr>
		</thead>
		<f:for each="{filter.results}" as="log">
			<tr>
				<td>{log.requestId}</td>
				<td>
					{log.timeMicroFormatted -> f:format.raw()}
					<br />({log.timeMicro})
				</td>
				<td>{log.component}</td>
				<td>{log.readableLevel}</td>
				<td>{log.message}</td>
				<f:if condition="{filter.showData}">
					<td>{log.data -> f:debug(inline:'true')}</td>
				</f:if>
				<td style="white-space: nowrap">
					<f:link.action title="{f:translate(id:'delete')}" action="delete" controller="LogErasing" arguments="{requestId:log.requestId,timeMicro:log.timeMicro,component:log.component,level:log.level,message:log.message}" class="btn btn-default">
						<core:icon identifier="actions-delete" />
					</f:link.action>
					<f:link.action title="{f:translate(id:'delete_alike')}" action="deleteAlike" controller="LogErasing" arguments="{requestId:log.requestId,timeMicro:log.timeMicro,component:log.component,level:log.level,message:log.message}" class="btn btn-danger">
						<core:icon identifier="actions-delete" />
					</f:link.action>
				</td>
			</tr>
		</f:for>
	</table>
</html>
